#
# spec file for package python-pytest-describe
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-describe
Version:        2.2.0
Release:        1.4
Summary:        Describe-style plugin for pytest
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/pytest-describe
Source:         https://files.pythonhosted.org/packages/source/p/pytest-describe/pytest-describe-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module py}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-py
Requires:       python-pytest >= 4.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 4.0}
# /SECTION
%python_subpackages

%description
Describe-style plugin for pytest.

%prep
%setup -q -n pytest-describe-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/pytest_describe
%{python_sitelib}/pytest_describe-%{version}.dist-info

%changelog
* Thu Mar 21 2024 Dirk Müller <dmueller@suse.com>
- update to 2.2.0:
  * This version supports pytest 4.0 to 8.0 on Python 3.7 to
    3.12.
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.0:
  * This version comes with some internal clean-up and
    modernization and now supports pytest 4.0 to 7.3 on Python
    3.7 to 3.11.
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add python-py dependency
- Remove python_module macro definition
- More specific python_sitelib in %%files
* Mon May  2 2022 Markéta Machová <mmachova@suse.com>
- Update to 2.0.1
  * This version supports pytest 4.0 to 6.2 on Python 3.6 to 3.10
  * Support list/tuple argnames for mark.parametrize
  * Made markers consistent with pytest's defaults
* Sat Aug  8 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.0
